@use "card";
@import "_global.scss";

.state-instance-container {
    justify-content: space-around;
    align-items: start;

    .card {
        font-family: "Rubik", sans-serif;
        //width: 31%;
        max-width: 23rem;
        height: fit-content;
        // margin: 0.5rem;
        width: auto;

        transition: all 0.5s;
        &:hover {
            transform: scale(1.1);
        }

        .card-body {
            font-size: 1.2rem;
            font-weight: 500;
            .card-title {
                font-size: 0.8rem;
                color: grey;
            }
        }

        &.chart-card {
            // width: 20rem;
            max-width: 20rem;
        }

        &.politician-card {
            margin-bottom: 2rem;
        }

        &.card-blue {
            background-color: aliceblue;
            border-color: transparent;
        }
        &.card-red {
            background-color: rgba(252, 246, 246, 0.814);
            border-color: transparent;
        }

        .map-container {
            height: fit-content;
        }
    }

    &.instance-second-row {
        align-items: start;
    }

    .info-card-group {
        .card {
            width: fit-content;
            margin: 0.4rem;
        }
    }
}
